#1 Add python*-requests which is required for Cloudflare plugin
Merged 3 years ago by leamas. Opened 3 years ago by ivanmironov.
https://github.com/im-0/fedora-rpm.ddupdate/ add-missing-dependency  into  rawhide

Add python*-requests which is required for Cloudflare plugin
Ivan Mironov • 3 years ago  
ddupdate.spec
file modified
+5 -1
@@ -15,7 +15,7 @@

  

  Name:           ddupdate

  Version:        0.6.5

- Release:        3%{?dist}

+ Release:        4%{?dist}

  Summary:        Tool updating DNS data for dynamic IP addresses

  

  Group:          Applications/System
@@ -29,6 +29,7 @@

  BuildRequires:  systemd

  BuildRequires:  /usr/bin/pkg-config

  

+ Requires:       python%{python3_pkgversion}-requests

  Requires:       /usr/sbin/ip

  Requires:       sudo

  
@@ -82,6 +83,9 @@

  

  

  %changelog

+ * Thu Feb 18 2021 Ivan Mironov <mironov.ivan@gmail.com> - 0.6.5-4

+ - Add python*-requests which is required for Cloudflare plugin

+ 

  * Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-3

  - Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

  

no initial comment

This fixes Cloudflare support.

Indeed. If we did this properly, the cloudflare plugin should go to a separate package to avoid expanding the dependency list for the main program. But, python3-requests isn't that bad.

Pull-Request has been merged by leamas

3 years ago
Metadata